Package org.zkoss.stateless.sul

## Interface IPdfviewer

- All Superinterfaces:
    `IAnyGroup<IPdfviewer>`, `IComponent<IPdfviewer>`, `IHtmlBasedComponent<IPdfviewer>`, `ISingleChildable<IPdfviewer,​IToolbar>`, `IXulElement<IPdfviewer>`

      public interface IPdfviewer
      extends IXulElement<IPdfviewer>, IAnyGroup<IPdfviewer>, ISingleChildable<IPdfviewer,​IToolbar>

  Immutable `Pdfviewer` component

  A PDF file viewer.

  ### Support @Action

  Name | Action Type
  --- | ---
  onPaging | ActionData: `PagingData` Notifies one of the pages is selected by the user.
  onRender | Denotes the loading pdf file is finished rendering.
  onZoom | ActionData: `ZoomData` Denotes user has changed the zoom level.
  onRotate | ActionData: `RotationData` Denotes user has changed the rotation angle.

  Author:
    katherine
  See Also:
    `Pdfviewer`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IPdfviewer.Builder` | Builds instances of type `IPdfviewer`.
    `static class` | `IPdfviewer.Updater` | Builds an updater of type `IPdfviewer` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.
    `static class` | `IPdfviewer.ZoomMode` | Specifies the zoom mode with `withZoomMode(ZoomMode)`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IPdfviewer` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default int` | `getRotation()` | Returns the rotation angle.
    `java.lang.String` | `getSrc()` | Returns the source URI of the PDF file.
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `default double` | `getZoom()` | Returns the zoom level.
    `default IPdfviewer.ZoomMode` | `getZoomMode()` | Returns the zoom mode.
    `static IPdfviewer` | `of​(java.lang.String src)` | Returns the instance with the given src.
    `static IPdfviewer` | `of​(IToolbar child)` | Returns the instance with the given child.
    `static IPdfviewer` | `ofId​(java.lang.String id)` | Returns the instance with the given id.
    `IPdfviewer` | `withRotation​(int rotation)` | Returns a copy of `this` immutable component with the specified `rotation`.
    `IPdfviewer` | `withSrc​(java.lang.String src)` | Returns a copy of `this` immutable component with the specified `src`.
    `IPdfviewer` | `withZoom​(double zoom)` | Returns a copy of `this` immutable component with the specified `zoom`.
    `IPdfviewer` | `withZoomMode​(IPdfviewer.ZoomMode zoomMode)` | Returns a copy of `this` immutable component with the specified `zoom`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.ISingleChildable

      `getChild, withChild`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final IPdfviewer DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zkex.pdfviewer.Pdfviewer"`

      Specified by:
        `getWidgetClass` in interface `IComponent<IPdfviewer>`

    - #### getSrc

          @Nullable
          java.lang.String getSrc()

      Returns the source URI of the PDF file.

      Default: `null`.

    - #### withSrc

          IPdfviewer withSrc​(@Nullable
                             java.lang.String src)

      Returns a copy of `this` immutable component with the specified `src`.

      Sets the source URI of the PDF file.

      Parameters:
        `src` - The source URI of the PDF file.

        Default: `null`

      Returns:
        A modified copy of the `this` object

    - #### getZoom

          default double getZoom()

      Returns the zoom level.

      Default: 1.0.

    - #### withZoom

          IPdfviewer withZoom​(double zoom)

      Returns a copy of `this` immutable component with the specified `zoom`.

      Sets the zoom level.

      Parameters:
        `zoom` - The zoom level.

        Default: `1.0`

      Returns:
        A modified copy of the `this` object

    - #### getZoomMode

          default IPdfviewer.ZoomMode getZoomMode()

      Returns the zoom mode.

      Default: `IPdfviewer.ZoomMode.NORMAL`

    - #### withZoomMode

          IPdfviewer withZoomMode​(IPdfviewer.ZoomMode zoomMode)

      Returns a copy of `this` immutable component with the specified `zoom`.

      Sets the zoom mode for `IPdfviewer.ZoomMode.FIT_PAGE_WIDTH` or `IPdfviewer.ZoomMode.FIT_PAGE_HEIGHT`.

      Parameters:
        `zoomMode` - The zoom mode.

        Default: `IPdfviewer.ZoomMode.NORMAL`

      Returns:
        A modified copy of the `this` object

    - #### getRotation

          default int getRotation()

      Returns the rotation angle.

      Default: 0.

    - #### withRotation

          IPdfviewer withRotation​(int rotation)

      Returns a copy of `this` immutable component with the specified `rotation`.

      Sets the rotation angle.

      Parameters:
        `rotation` - The rotation angle

        Default: `0`

      Returns:
        A modified copy of the `this` object

    - #### of

          static IPdfviewer of​(java.lang.String src)

      Returns the instance with the given src.
      Parameters:
        `src` - The source URI of the component

    - #### of

          static IPdfviewer of​(IToolbar child)

      Returns the instance with the given child.

    - #### ofId

          static IPdfviewer ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component